package com.goldenwater.slaj.acci.service;

import java.util.List;
import com.goldenwater.slaj.acci.domain.BisAcciExpRep;

/**
 * 事故快报 服务层
 */
public interface IBisAcciExpRepService {

    /**
     * 查询事故快报信息
     * @param guid 查询条件
     * @return 事故快报信息
     */
    BisAcciExpRep selectBisAcciExpRepByGuid(String guid);

    /**
     * 查询事故快报列表
     * @param bisAcciExpRep 事故快报查询条件
     * @return 事故快报集合
     */
    List<BisAcciExpRep> selectBisAcciExpRepList(BisAcciExpRep bisAcciExpRep);

    /**
     * 新增事故快报
     * @param bisAcciExpRep 事故快报信息
     * @return 影响行数
     */
    int insertBisAcciExpRep(BisAcciExpRep bisAcciExpRep);

    /**
     * 修改事故快报
     * @param bisAcciExpRep 事故快报信息
     * @return 影响行数
     */
    int updateBisAcciExpRep(BisAcciExpRep bisAcciExpRep);

    /**
     * 删除事故快报
     * @param guid 事故快报主键
     * @return 影响行数
     */
    int deleteBisAcciExpRepByGuid(String guid);

    /**
     * 批量删除事故快报
     * @param guids 事故快报主键数组
     * @return 影响行数
     */
    int deleteBisAcciExpRepByGuids(String[] guids);
}
